Bug 129787

Summary: AX: supportsARIAExpanded should always return true for a few roles: combobox, disclosure.
Product: WebKit Reporter: James Craig <jcraig>
Component: AccessibilityAssignee: James Craig <jcraig>
Status: RESOLVED FIXED    
Severity: Normal CC: aboxhall, apinheiro, cfleizach, commit-queue, dmazzoni, jcraig, jdiggs, mario, samuel_white, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on:    
Bug Blocks: 131111    
Attachments:
Description Flags
patch
none
patch
cfleizach: review+, commit-queue: commit-queue-
patch with baseline none

Description James Craig 2014-03-06 00:42:41 PST
AX: supportsARIAExpanded should always return true for a few roles: treeitem, combobox, disclosure. Currently it's:

bool AccessibilityObject::supportsARIAExpanded() const
{
    // Undefined values should not result in this attribute being exposed to ATs unless.
    const AtomicString& expanded = getAttribute(aria_expandedAttr);
    return equalIgnoringCase(expanded, "true") || equalIgnoringCase(expanded, "false");
}

To whoever fixes this, run the inspector-protocol layout tests in addition to the accessibility tests.
Comment 1 Radar WebKit Bug Importer 2014-03-14 23:46:13 PDT
<rdar://problem/16334538>
Comment 2 James Craig 2014-04-02 11:43:35 PDT
Removing TreeItemRole from this list, as not all tree items are expandable.
Comment 3 James Craig 2014-04-02 11:55:00 PDT
Created attachment 228407 [details]
patch
Comment 4 WebKit Commit Bot 2014-04-02 11:57:34 PDT
Attachment 228407 [details] did not pass style-queue:


ERROR: Source/WebCore/accessibility/AccessibilityObject.cpp:1966:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Total errors found: 1 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 James Craig 2014-04-02 12:02:17 PDT
I think I'm going to file a bug that prepare-changelog and svn-create-patch should automatically run check-webkit-style. I forget to do this probably half the time.
Comment 6 James Craig 2014-04-02 12:05:23 PDT
Created attachment 228409 [details]
patch
Comment 7 James Craig 2014-04-02 13:21:52 PDT
Bug 131115: prepare-changelog and svn-create-patch should automatically run check-webkit-style.
Comment 8 chris fleizach 2014-04-04 09:04:13 PDT
Comment on attachment 228409 [details]
patch

do you need to rebaseline?
Comment 9 James Craig 2014-04-04 12:44:47 PDT
Not that I know of. cq?
Comment 10 WebKit Commit Bot 2014-04-04 14:20:45 PDT
Comment on attachment 228409 [details]
patch

Rejecting attachment 228409 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-03', 'apply-attachment', '--no-update', '--non-interactive', 228409, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
l/dom/getAccessibilityPropertiesForNode-expected.txt
Hunk #1 FAILED at 4.
1 out of 2 hunks FAILED -- saving rejects to file LayoutTests/inspector-protocol/dom/getAccessibilityPropertiesForNode-expected.txt.rej
patching file LayoutTests/inspector-protocol/dom/getAccessibilityPropertiesForNode.html
Hunk #1 succeeded at 116 (offset -1 lines).

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Chris Fleizach']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: http://webkit-queues.appspot.com/results/6382556920414208
Comment 11 James Craig 2014-04-04 14:52:07 PDT
I guess so.
Comment 12 James Craig 2014-04-04 16:51:01 PDT
Created attachment 228634 [details]
patch with baseline
Comment 13 WebKit Commit Bot 2014-04-04 17:38:21 PDT
Comment on attachment 228634 [details]
patch with baseline

Clearing flags on attachment: 228634

Committed r166817: <http://trac.webkit.org/changeset/166817>
Comment 14 WebKit Commit Bot 2014-04-04 17:38:25 PDT
All reviewed patches have been landed.  Closing bug.